function [t,y] = klassischeRK(f,t0,T,y0,N)

% function [t,y] = klassischeRK(f,t0,T,y0,N)
%
% Integriere die gewoehnliche Diff.-Gleichung erster Ordnung
%
%   dy/dt = f(t,y(t))
%
% mit dem klassischen Runge-Kutta Verfahren.
%
% Parameters: f    ... rechte Seite f(t,y(t)) der gew. Diff.-Gl.
%             t0,T ... Start- und End-Zeit
%             y0   ... Anfangswert
%             N    ... Anzahl Schritte
%
% Returns: t ... Zeiten
%          y ... approx. Loesung zu Zeiten t

% Berechne Zeitschritt
  h = ...

% Speicher fuer Zeit & approx. Loesung
  t = zeros(...
  y = zeros(...

% Setze Anfangswert
  t(1)   = ...
  y(:,1) = ...

% Integriere mit dem klassischen Runge-Kutta Verfahren
  for j=1:N
    t(j+1) = ...
    ...
    y(:,j+1) = ...
  end
