function yN = taylorreihenmethode(T, y0, N)

% function yN = taylorreihenmethode(T, y0, N)
%
% Integriere folgendes Anfangswertproblem mit einer Taylorreihen-Methode
%
%   dy/dt = - 2 * t * y(t)^2,
%   y(0) = y0
%
% Parameters: T   ... End-Zeit
%             y0 ... Anfangswert
%             N  ... Anzahl Schritte
%
% Returns: yN ... approx. Loesung zur Ent-Zeit T

  % time step
  h = T/N;

  % time series
  t = zeros(N+1);
  for n=1:N+1
    t(n) = (n-1)*h;
  end

  % initial solution
  y = zeros(N+1);
  y(1) = y0;

  % solve from 0 -> T
  for n=1:N
    coeffs = getTaylorCoeffs(...
    y(n+1) = ...
  end
  
  yN = y(...
end

% evaluate coefficients
function coeffs = getTaylorCoeffs(t, y)

    coeffs = zeros(4,1);
    coeffs(1) = ...
    coeffs(2) = ...
    coeffs(3) = ...
    coeffs(4) = ...

end
